> For the complete documentation index, see [llms.txt](https://docs.superseek.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superseek.ai/home/api-documentation.md).

# API Documentation

- [API Overview](https://docs.superseek.ai/home/api-documentation/api-overview.md): Get a quick overview of Superseek APIs and see how you can build your custom Q\&A bots or fully conversational AI chatbots.
- [Q\&A API](https://docs.superseek.ai/home/api-documentation/q-and-a-api.md): Use the Q\&A API to input a single question and receive a single answer along with its sources.
- [Chat API](https://docs.superseek.ai/home/api-documentation/chat-api.md): Use the Chat API to create a conversational AI chatbot in your product that can answer questions and maintain context and continuity with the ongoing conversation using chat history.
- [Answer Rating API](https://docs.superseek.ai/home/api-documentation/answer-rating-api.md): Use the answer rating API to track the ratings for the bot's answers.
- [Generate Session ID API](https://docs.superseek.ai/home/api-documentation/generate-session-id-api.md): Generate a unique session\_id for a conversation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.superseek.ai/home/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
